Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class BooleanType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType
                  org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.BooleanType

All Implemented Interfaces:
  IDefaultValue, IMetaDataEnabledFeature, IPossibleValues, ITypeDescriptor, IValidELValues, IValidValues

public class BooleanType
extends EnumerationType
implements IValidValues, IPossibleValues, IDefaultValue

Meta-data processing type representing a boolean attribute value runtime type that implements IPossibleValues, IValidValues, IDefaultValue, IValidELValues

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType
`EMPTY_LIST`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`BooleanType()`

Method Summary
`java.util.List` | `getPossibleValues()`
`protected java.lang.String` | `getReturnType()`
`boolean` | `isValidValue(java.lang.String value)` Type coercion according to JSP 2.0 spec: JSP.1.14.2.1 Conversions from String values

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType
`addNewValidationMessage, getAssignmentType, getCMPossibleValues, getCMPossibleValuesForDisplay, getCMValidationCode, getCMValidationMessage, getCMValidationSeverity, getCMValidValues, getDefaultValue, getExpectedRuntimeType, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`getValidationMessages`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IDefaultValue
`getDefaultValue`

Constructor Detail

### BooleanType

    public BooleanType()

Method Detail

### getReturnType

    protected java.lang.String getReturnType()

  Specified by:
    `getReturnType` in class `EnumerationType`
  Returns:
    return Java type as string (i.e. boolean, java.lang.String, etc.) Must not be null.

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Type coercion according to JSP 2.0 spec: JSP.1.14.2.1 Conversions from String values

  Specified by:
    `isValidValue` in interface `IValidValues`
  Returns:
    true if is valid
  See Also:
    `IValidValues.isValidValue(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD